ssl

SSL information. More...

`#include <ssl.hpp>`

## Public Types

enum | verify_mode { VERIFY_PEER, ANONYMOUS_PEER, VERIFY_PEER_NAME }
| Determines the level of peer validation. More...
enum | resume_status { UNKNOWN, NEW, REUSED }
| Outcome specifier for an attempted session resume. More...

## Public Member Functions

| ssl ()
| Create an empty ssl object.

## Detailed Description

SSL information.

## Member Enumeration Documentation

## resume_status

enum resume_status

Outcome specifier for an attempted session resume.

Enumerator
UNKNOWN | Session resume state unknown or not supported.
NEW | Session renegotiated, not resumed.
REUSED | Session resumed from previous session.

## verify_mode

enum verify_mode

Determines the level of peer validation.

Enumerator
VERIFY_PEER | Require peer to provide a valid identifying certificate.
ANONYMOUS_PEER | Do not require a certificate or cipher authorization.
VERIFY_PEER_NAME | Require valid certificate and matching name.

The documentation for this class was generated from the following file:

- proton/ssl.hpp